Bug 194565 - [patch] x11-toolkits/irrlicht: fix DEBUG option, remove unnecessary dependency, extend LDFLAGS
Summary: [patch] x11-toolkits/irrlicht: fix DEBUG option, remove unnecessary dependenc...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-23 20:37 UTC by Andriy Voskoboinyk
Modified: 2014-11-02 18:16 UTC (History)
1 user (show)

See Also:


Attachments
patch-irrlicht.diff (1.28 KB, patch)
2014-10-23 20:37 UTC, Andriy Voskoboinyk
no flags Details | Diff
patch-irrlicht.diff (1.46 KB, patch)
2014-10-24 07:17 UTC, Andriy Voskoboinyk
no flags Details | Diff
patch-irrlicht.diff (1.49 KB, patch)
2014-11-02 17:59 UTC, Andriy Voskoboinyk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2014-10-23 20:37:23 UTC
Created attachment 148595 [details]
patch-irrlicht.diff

- apply NDEBUG=1 when DEBUG is off.
- depend on libGL instead of libGLU.
- add missing -lX11 -lz to LDFLAGS.
Comment 1 Andriy Voskoboinyk freebsd_committer 2014-10-24 07:17:38 UTC
Created attachment 148605 [details]
patch-irrlicht.diff

update PORTREVISION
Comment 2 John Marino freebsd_committer 2014-10-31 18:30:49 UTC
I'll take it.
Comment 3 John Marino freebsd_committer 2014-10-31 21:11:01 UTC
I have doubt about the last line that add "-lz".

portsmon is showing irrlicht is building everywhere, including head.  Why is -lz added?  could it be obsolete?  will it build without it?
Comment 4 Andriy Voskoboinyk freebsd_committer 2014-11-02 14:52:52 UTC
(In reply to John Marino from comment #3)
> I have doubt about the last line that add "-lz".
> 
> portsmon is showing irrlicht is building everywhere, including head.  Why is
> -lz added?  could it be obsolete?  will it build without it?

The library has few unresolved symbols, which are visible when -Wl,--no-undefined is added to LDFLAGS (however, they are resolved via sub-dependencies).

Also, there is missed dependency to libXxf86vm - I'm not sure, what to do with it (turn it into option + possibly add Xrandr option or just add USE_XORG=x11 xxf86vm)
Comment 5 John Marino freebsd_committer 2014-11-02 14:56:05 UTC
is there a major drawback to 'USE_XORG=x11 xxf86vm' solution?  seems okay to me.
Comment 6 Andriy Voskoboinyk freebsd_committer 2014-11-02 17:57:37 UTC
(In reply to John Marino from comment #5)
> is there a major drawback to 'USE_XORG=x11 xxf86vm' solution?  seems okay to
> me.

No, it's ok (this is the default config). I think, that other options (like output via SDL) can be added later (on demand).
Comment 7 Andriy Voskoboinyk freebsd_committer 2014-11-02 17:59:15 UTC
Created attachment 148942 [details]
patch-irrlicht.diff

Add USE_XORG=x11 xxf86vm
Comment 8 commit-hook freebsd_committer 2014-11-02 18:15:47 UTC
A commit references this bug:

Author: marino
Date: Sun Nov  2 18:15:21 UTC 2014
New revision: 372081
URL: https://svnweb.freebsd.org/changeset/ports/372081

Log:
  x11-toolkits/irrlicht: Fix DEBUG option, missing linker symbols

  * apply NDEBUG=1 when DEBUG is off
  * Depend on libGL instead of libGLU
  * Add missing -lX11 -lZ to LDFLAGS
  * Add USE_XORG= x11 xxf86vm

  PR:		194565
  Submitted by:	Andriy Voskoboinyk

Changes:
  head/x11-toolkits/irrlicht/Makefile
  head/x11-toolkits/irrlicht/files/patch-source-Irrlicht_Makefile
Comment 9 John Marino freebsd_committer 2014-11-02 18:16:41 UTC
Thanks!